Name:           nm-tray
Version:        0.3.0
Release:        2%{?dist}
Summary:        NetworkManager tray icon

License:        GPLv2+
URL:            https://github.com/palinek/%{name}
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  kf5-networkmanager-qt-devel
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  desktop-file-utils

%if 0%{?fedora}
Supplements:    lxqt-panel
%endif

%description
nm-tray is a simple NetworkManager front end
with information icon residing in system tray
(like e.g. nm-applet).
It's a pure Qt application.


%prep
%autosetup


%build
%cmake
%make_build


%install
%make_install
# https://github.com/palinek/nm-tray/issues/8
desktop-file-edit --add-only-show-in='X-LXQt;' \
 %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/nm-tray-autostart.desktop
# known bug with find_lang
%dir %{_datadir}/%{name}


%changelog
* Mon Oct 30 2017 Raphael Groner <projects.rg@smart.ms> - 0.3.0-2
- fix rpmlint E: description-line-too-long
- fix folder ownership for translation files

* Tue Oct 24 2017 Raphael Groner <projects.rg@smart.ms> - 0.3.0-1
- initial
